{% extends 'profile/base.html' %}
{% load staticfiles %}
{% load static %}

{% block bottom_script %}
<script src="{% static 'js/profile.js' %}"></script>
<script type="text/javascript" src="//platform.linkedin.com/in.js">
    api_key: 81vmyb9voabtpv
    authorize: true
    scope: r_basicprofile r_emailaddress
    lang: en_US
</script>
{% endblock %}

{% block page_resources %}
<link rel='stylesheet' type='text/css' href='{% static 'css/font-awesome.css' %}' />
{% endblock %}

{% block content %}
<div class="card mb-5">
    <div class="card-header">

        <span class="user-name">
            {% if profile.is_complete %}
            Profile of {{profile.name}}
            {% else %}
            Your profile is not complete
            {% endif %}
        </span>
    </div>
    <div class="card-body">
        <div class="row mb-3">
            <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                <b>
                    NPM
                </b>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9">
                {{profile.npm}}
            </div>
        </div>

        <div class="row mb-3">
            <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                <b>
                    Email
                </b>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9">
                <span class="user-email">{{profile.email}}</span>
            </div>
        </div>

    
        <div class="row mb-3">
            <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                <b>
                    Linkedin
                </b>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9">
                {% if profile.is_complete %}
                <a href="{{profile.linkedin}}" target="_blank">{{profile.linkedin}}</a>
                {% else %}
                <p class="kosong">None</p>
                <a href="#"><img class="linkedin d-none" src="https://lh3.googleusercontent.com/NDLbBmBiX6YSto4F9I_FA6Ej919fGZjBfNpns2epTlND8Ora0F2K5GIwa8ZoXfHpUtisKP4pzQcxmSrN_7xIT_Gksr8LXSGoW3gSD8hfaZn7qE9evx6pt8XrelM-rborj8yUeOhobkGASSpNGfGXEMnbVn0FOLnPAGWj3TyWfEP-BfOKUMEmkq8trkGnj3N0jBT6I3ZPYCA0kTR4Nd1oR8MvBsBVYKpyBbxhY_zub0m8f6euvFGSxo-jBwhK0jyETDbw111zN1AeIod73daPT9NSiLpV2AAT4bQT-wNXwypTJE-wb4qgMfebCcxZoD9xgJtwxxFri2PRrW4dwruTQOr9KfDR6GFniM9aA0ypnyovKnm2KsAzMscvI_CFM2TDKzaOAAGPeveu5mo_s2uLDh7d0spN1e1IXuCOiHkv0ogJBI7X08vHkMWBO-XdCizBRDY4lNWOgbDKDEnYzhdQoKMwCOJuIFOFOHZiaGz__aK3KYkCLEN5xMxsrnhY1ElH_-r3SJLwv2gwrraBg7uIPFWjcYWeOysbsp44XVEXebuQqiW9_56SFWbsvNYmXE_r9QdZLe0kIekskVfypL5uDacwwqR-Ep68uTZ_HvPiqJQ0hCOC_-oz5ylE8rHfizYJru8taIaGN5-Ye1jAeIW-HuuK5Crevqr3akc=w678-h135-no"></a>
                <span id="linkedin-url"></span>
                {% endif %}
            </div>
        </div>
        
        <div class="row mb-3" id="keahlian">
            <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                <b>
                    Skill
                </b>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9" id="skill-column">
                <div id="skill-list">
                    {% if profile.skills %}
                    {% for skill in profile.skills %}
                    <div class="row ml-1 mb-2" id="delete-skill-{{skill.id}}">{{skill.title}} <span 
                        class="badge badge-{% if skill.level == 'Intermediate' %}success{% endif %}{% if skill.level == 'Advanced' %}info{% endif %}{% if skill.level == 'Expert' %}primary{% endif %}{% if skill.level == 'Legend' %}danger{% endif %} ml-1">
                        {{skill.level}}</span>
                        <button type="button" class="btn btn-light delete-skill btn-sm ml-2 d-none" onclick="buttonDeleteSkill($('#delete-skill-{{skill.id}}'), {{skill.id}})" ><i class="fa fa-times" aria-hidden="true"></i></button>
                    </div>
                    {% endfor %}
                    {% else %}
                    <p id="skill-kosong">None</p>
                    {% endif %}
                </div>
                <div class="form-row add-skill mt-3 d-none" id="skill-form">
                    <div class="col-xs-6 col-sm-6 col-md-4 col-lg-4">
                        <label class="sr-only" for="skill-title">Add Friends</label>
                        <input type="text" class="form-control mb-2 mb-sm-0" id="skill-title" placeholder="Add skill" maxlength="16"
                        pattern=".{2,16}" data-toggle="popover" data-trigger="focus" data-placement="bottom" data-content="Please put skill with 2-16 characters">
                    </div>
                    <div class="col-xs-6 col-sm-6 col-md-4 col-lg-4">
                        <select class="custom-select mb-2 mr-sm-2 mb-sm-0" id="skill-level">
                            <option value="I" disabled selected>Level</option>
                            <option value="I">Intermediate</option>
                            <option value="A">Advanced</option>
                            <option value="E">Expert</option>
                            <option value="L">Legend</option>
                          </select>
                    </div>
                    <div class="col-xs-6 col-sm-6 col-md-3 col-lg-3">
                        <button type="button" class="btn btn-primary btn-add-skill" id="submit-skill">Add</button>
                    </div>
                </div>

            </div>
        </div>
       </div>
</div>
<script>
    const editingFromStart = {% if editing %}true{% else %}false{% endif %}
    const showingScoreFromStart = {% if showing_score %}true{% else %}false{% endif %}
    startUpFunctions.push(() => {
        $('.nilai').hide()
        $('.nilai').removeClass('d-none')
        $('.delete-skill').hide()
        $('.delete-skill').removeClass('d-none')
        $('.linkedin').hide()
        $('.linkedin').removeClass('d-none')
        $('.add-skill').hide()
        $('.add-skill').removeClass('d-none')
        if (!showingScoreFromStart) {
            $('#hide-score').trigger("click")
        }
    })
</script>
{% endblock %}